Subject: Re: bug#22414: 24.5; GNUS - No such function: nnregistry-request-group

From: Robert Pluim <[email-masked]>
Date: Tue, 04 Feb 2025 17:30:46 +0100

>>>>> On Tue, 04 Feb 2025 18:09:36 +0200, Björn Bidar <[email-masked]> said:

    Björn> * lisp/gnus/nnregistry.el (nnregistry-request-group):
    Björn> nnregistry doesn't handle any servers or groups; however we have to
    Björn> define the dummy function so Gnus-registry works as refer article
    Björn> method, as the `gnus-check-group-server' function requires it.
    Björn> The latter function is called when referring to articles to check the
    Björn> source group first before actually requesting any articles.
    Björn> ---
    Björn>  lisp/gnus/nnregistry.el | 3 +++
    Björn>  1 file changed, 3 insertions(+)

Thatʼs much better, thanks

Robert
--